Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.joone.util
Class NeuralNetRunner

    java.lang.Object
      org.joone.util.NeuralNetRunner

All Implemented Interfaces:
  java.util.EventListener, NeuralNetListener

    public class NeuralNetRunner

extends java.lang.Object
implements NeuralNetListener

Field Summary
`NeuralNet` | `nnet`
`int` | `result`

Constructor Summary
`NeuralNetRunner()`

Method Summary
`void` | `cicleTerminated(NeuralNetEvent e)`
`void` | `errorChanged(NeuralNetEvent e)`
`void` | `execute()`
`NeuralNet` | `getNnet()`
`static void` | `main(java.lang.String[] args)`
`void` | `netStarted(NeuralNetEvent e)`
`void` | `netStopped(NeuralNetEvent e)`
`void` | `netStoppedError(NeuralNetEvent e, java.lang.String error)`
`void` | `resetNnet()`
`void` | `setNnet(NeuralNet nnet)`
`void` | `writeNnet()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### nnet

    public NeuralNet nnet

### result

    public int result

Constructor Detail

### NeuralNetRunner

    public NeuralNetRunner()

Method Detail

### main

    public static void main(java.lang.String[] args)

### execute

    public void execute()

### cicleTerminated

    public void cicleTerminated(NeuralNetEvent e)

  Specified by:
    `cicleTerminated` in interface `NeuralNetListener`

### netStopped

    public void netStopped(NeuralNetEvent e)

  Specified by:
    `netStopped` in interface `NeuralNetListener`

### writeNnet

    public void writeNnet()

### getNnet

    public NeuralNet getNnet()

### setNnet

    public void setNnet(NeuralNet nnet)

### resetNnet

    public void resetNnet()

### netStarted

    public void netStarted(NeuralNetEvent e)

  Specified by:
    `netStarted` in interface `NeuralNetListener`

### errorChanged

    public void errorChanged(NeuralNetEvent e)

  Specified by:
    `errorChanged` in interface `NeuralNetListener`

### netStoppedError

    public void netStoppedError(NeuralNetEvent e,
                                java.lang.String error)

  Specified by:
    `netStoppedError` in interface `NeuralNetListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit Feedback to pmarrone@users.sourceforge.net